"use strict";


module.exports = function(providerName) {

  let provider;
  if (providerName) {
    const providerPath = "./" + providerName.toLowerCase();

    provider = require(providerPath);
  } else {
    throw new Error("Provider name not specified in database configuration");
  }

  return provider;
};
